; configuration file for Arvid-1000 installation
;---------------------------------------------------------------

;        version number
version  "Arvid-1000 v3.30r4 beta-4   Copyright (c) 1993-1995 KSI"

;        software language
;        language documents    messages/help/readme
language Russian  DOC-RUSS.ARJ LNG-RUSS.ARJ
language English  DOC-RUSS.ARJ LNG-ENGL.ARJ

;        common archive
common   COMMON.ARJ

;        common readme file
readme   README.1ST

;        changes readme file
changes  %pdoc%\CHANGES.NEW

;        jumpers configuration
jumpers  JUMPERS.CFG

;        avshell configuration (if already exist - not copied)
shellcfg AVSHELL.CFG

;        vcr collection
vcr      VCR.ARJ

;        arvid models
;        model archive     driver      
model    1010  ARVID10.ARJ ARVID10.EXE
model    1020  ARVID20.ARJ ARVID20.EXE

;        color palettes
palette  Color       AVCOLOR.PAL
palette  Black/White AVBW.PAL
;palette  Monochrome  AVMONO.PAL
;palette  LCD         AVLCD.PAL

;        default path to executable files
pinstall \ARVID

;        default path to documentation
pdoc     DOC

;        default path to *.tdr directory
ptdr     TDR

;        default path to *.vct directory
pvcr     VCR

;        default path to temporary directory
ptmp     TMP

;        minimum free space for install (kb)
size     3500

;        make batch files for arvid
batch    ARVID.BAT    "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|%driver% %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    ARVIDX.BAT   "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|%driver% -YAVSHELLX.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    AVCOMSTR.BAT "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|%driver% -Y_AVCOMST.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    AVCOMSTX.BAT "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|%driver% -Y_AVCOMSX.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    AVRECOVR.BAT "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|%driver% -Y_AVRECOV.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    AVSHELL.BAT  "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|AVSHELL.EXE|"
batch    AVSHELLX.BAT "@ECHO OFF|SET AVDIR=%ptdr%|SET TEMP=%ptmp%|AVSHELLX.EXE|"
batch    AVSETUP.BAT  "@ECHO OFF|%driver% -I -Y_AVSETUP.EXE M %1 %2 %3 %4 %5 %6 %7 %8 %9|"
batch    AVIRC.BAT    "@ECHO OFF|%driver% -Y_AVIRC.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9|"

;        predelete files from previous versions
delete   avtest*.* avsetvct.* avload*.* avvct.* *.doc arvid*.exe arvid.tbl avsetup.exe avcomstr.exe changes.ver trouble.tst avshell*.ini

;-----------------------------------------------------------------
; end of configuration
